
#ifndef LOCALE_TIMEZONEMODEL_H
#define LOCALE_TIMEZONEMODEL_H

#include "DllMacro.h"

#include <QAbstractListModel>
#include <QString>
#include <QStringList>
#include <QVariant>
#include <QVector>


namespace CalamaresUtils
{
namespace Locale
{

class DLLEXPORT TimeZoneModel : public QAbstractListModel
{
    Q_OBJECT

public:
    TimeZoneModel( const QStringList& timezones, QObject* parent = nullptr );
    ~TimeZoneModel() override;

    int rowCount( const QModelIndex& parent ) const override;

    QVariant data( const QModelIndex& index, int role = Qt::DisplayRole ) const override;
    const QString& timezone( int row ) const;

private:
	QVector< QString* > m_timezones;
    QStringList m_timezoneIds;
};

DLLEXPORT TimeZoneModel* availableTimeZones();

}
}
#endif
